Page MenuHomePhabricator

CX2: External links generate two different links when adapted and an empty warning card
Open, MediumPublic

Description

Translating Kanelbullens dag from Swedish to Simple English, external links do not seem to be adapted properly. When adding the contents of the "Externa länkar" (external links) section, each link is added twice. Note in the example below how "Officiell webbplats" link in the source article becomes two separate links in the translation ("Officiell webbplats", and "[1]"):

The issue is observed when using both "Source text" and "Yandex" for the initial automatic translation. The original report mentioned the issue for English, where MT is not available. In the source page the links are regular external links:

== Externa länkar ==
* [http://www.kanelbullensdag.se/ Officiell webbplats]
* [https://web.archive.org/web/20071026180831/http://www.testfakta.se/Article.aspx?a=18175 "Dagarna som vill ändra våra köpvanor". Testfakta]

Related issues

  • Another issue for this section that we may want to investigate (may become a separate issue) is that a warning is shown for this section but it is not properly listed in the issue summary card, and expanding it shows an empty detail card:

Event Timeline

Restricted Application added a project: Internet-Archive. · View Herald TranscriptOct 11 2018, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pginer-WMF triaged this task as Medium priority.Oct 11 2018, 10:19 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Oct 11 2018, 10:23 AM

Change 466871 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Prevent empty issue card

https://gerrit.wikimedia.org/r/466871

The patch which I have submitted for this ticket is only dealing with an empty issue card problem.

Abuse Filter which was hit was not having a message which we can display. Since we don't have a message, the code attempts to add empty array of issues. In the code which registers new issues, we never checked for empty arrays of issues trying to be added, so the subsequent elements of the issue card system attempt to display something, but there are no issues actually. There were similar problems in the past, when empty issue card was displayed. Now, by adding the check in the issue registering code, these problems should not happen again.

Change 466871 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Prevent empty issue card

https://gerrit.wikimedia.org/r/466871

After the QA process, this should be returned to the Backlog. Merged patch only deals with an empty issue card. Rest of the problems from the description should be done separately.

Pginer-WMF updated the task description. (Show Details)Oct 19 2018, 11:55 AM

After the QA process, this should be returned to the Backlog. Merged patch only deals with an empty issue card. Rest of the problems from the description should be done separately.

I checked that part has been solved, updated the description to reflect that, and moved the ticket o the backlog in the quarter board for consideration on upcoming sprints.

Petar.petkovic removed Petar.petkovic as the assignee of this task.Nov 6 2018, 8:12 AM